cvp.vo

## Class PrestazionePrescritta

- java.lang.Object
- - cvp.vo.PrestazionePrescritta

-     public class PrestazionePrescritta
      extends java.lang.Object

  Contiene i dati di dettaglio della prestazione specialistica o farmaceutica prescritta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codCatalogoPrescr` Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta.
    `private java.lang.String` | `codGruppoEquivalenza` Codice del gruppo di equivalenza del farmaco.
    `private java.lang.String` | `codMotivoNonSost` Codice del motivo di non sostituibilità del farmaco.
    `private java.lang.String` | `codPrestazione` Codice della prestazione specialistica (dal tariffario nazionale senza del puntino separatore) o farmaceutica, elemento obbligatorio.
    `private java.lang.String` | `nota` Nota sulla prestazione, elemento facoltativo.
    `private java.lang.String` | `notaCUF` Nota AIFA a partire dalla versione 4.00 la lunghezza accettata è di tre caratteri allineamento del valore a destra e completamento a sinistra con zeri non significativi (es nota AIFA "1" si trasmette al SIST: "001"), elemento facoltativo.
    `private java.lang.String` | `numSedute` Numero di sedute prescritte dal medico per prescrizioni cicliche, il campo non è obbligatorio, valorizzato solo per prescrizioni cicliche previste dal DPCM 12 gennaio 2017.
    `private java.lang.String` | `quantitaPrescritta` Numero di prestazioni prescritte, elemento obbligatorio.
    `private java.lang.String` | `tipoAccesso` Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrestazionePrescritta()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodCatalogoPrescr()`
    `java.lang.String` | `getCodGruppoEquivalenza()`
    `java.lang.String` | `getCodMotivoNonSost()`
    `java.lang.String` | `getCodPrestazione()`
    `java.lang.String` | `getNota()`
    `java.lang.String` | `getNotaCUF()`
    `java.lang.String` | `getNumSedute()`
    `java.lang.String` | `getQuantitaPrescritta()`
    `java.lang.String` | `getTipoAccesso()`
    `void` | `setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)`
    `void` | `setCodGruppoEquivalenza(java.lang.String codGruppoEquivalenza)`
    `void` | `setCodMotivoNonSost(java.lang.String codMotivoNonSost)`
    `void` | `setCodPrestazione(java.lang.String codPrestazione)`
    `void` | `setNota(java.lang.String nota)`
    `void` | `setNotaCUF(java.lang.String notaCUF)`
    `void` | `setNumSedute(java.lang.String numSedute)`
    `void` | `setQuantitaPrescritta(java.lang.String quantitaPrescritta)`
    `void` | `setTipoAccesso(java.lang.String tipoAccesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codGruppoEquivalenza

          private java.lang.String codGruppoEquivalenza

      Codice del gruppo di equivalenza del farmaco. Elemento previsto, e facoltativo, per i servizi chkPrescrizione e chkErogazioneFarm; non previsto per gli altri servizi.

    - #### codMotivoNonSost

          private java.lang.String codMotivoNonSost

      Codice del motivo di non sostituibilità del farmaco. Elemento previsto, e facoltativo, per i servizi chkPrescrizione e chkErogazioneFarm; non previsto per gli altri servizi.

    - #### codPrestazione

          private java.lang.String codPrestazione

      Codice della prestazione specialistica (dal tariffario nazionale senza del puntino separatore) o farmaceutica, elemento obbligatorio.

    - #### quantitaPrescritta

          private java.lang.String quantitaPrescritta

      Numero di prestazioni prescritte, elemento obbligatorio.

    - #### nota

          private java.lang.String nota

      Nota sulla prestazione, elemento facoltativo.

    - #### notaCUF

          private java.lang.String notaCUF

      Nota AIFA a partire dalla versione 4.00 la lunghezza accettata è di tre caratteri allineamento del valore a destra e completamento a sinistra con zeri non significativi (es nota AIFA "1" si trasmette al SIST: "001"), elemento facoltativo.

    - #### codCatalogoPrescr

          private java.lang.String codCatalogoPrescr

      Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta.

    - #### tipoAccesso

          private java.lang.String tipoAccesso

      Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up). Valori ammessi: 1= primo accesso, 0= altra tipologia di accesso

    - #### numSedute

          private java.lang.String numSedute

      Numero di sedute prescritte dal medico per prescrizioni cicliche, il campo non è obbligatorio, valorizzato solo per prescrizioni cicliche previste dal DPCM 12 gennaio 2017.

  - ### Constructor Detail

    - #### PrestazionePrescritta

          public PrestazionePrescritta()

  - ### Method Detail

    - #### getCodPrestazione

          public java.lang.String getCodPrestazione()

    - #### setCodPrestazione

          public void setCodPrestazione(java.lang.String codPrestazione)

    - #### getQuantitaPrescritta

          public java.lang.String getQuantitaPrescritta()

    - #### setQuantitaPrescritta

          public void setQuantitaPrescritta(java.lang.String quantitaPrescritta)

    - #### getNota

          public java.lang.String getNota()

    - #### setNota

          public void setNota(java.lang.String nota)

    - #### getNotaCUF

          public java.lang.String getNotaCUF()

    - #### setNotaCUF

          public void setNotaCUF(java.lang.String notaCUF)

    - #### setCodGruppoEquivalenza

          public void setCodGruppoEquivalenza(java.lang.String codGruppoEquivalenza)

    - #### getCodGruppoEquivalenza

          public java.lang.String getCodGruppoEquivalenza()

    - #### setCodMotivoNonSost

          public void setCodMotivoNonSost(java.lang.String codMotivoNonSost)

    - #### getCodMotivoNonSost

          public java.lang.String getCodMotivoNonSost()

    - #### getCodCatalogoPrescr

          public java.lang.String getCodCatalogoPrescr()

    - #### setCodCatalogoPrescr

          public void setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)

    - #### getTipoAccesso

          public java.lang.String getTipoAccesso()

    - #### setTipoAccesso

          public void setTipoAccesso(java.lang.String tipoAccesso)

    - #### getNumSedute

          public java.lang.String getNumSedute()

    - #### setNumSedute

          public void setNumSedute(java.lang.String numSedute)